Objects (JGoodies Common 1.8 API)
Date: 2015-01-03

com.jgoodies.common.base

## Class Objects

- java.lang.Object
- - com.jgoodies.common.base.Objects

-     public final class Objects
      extends Object

  Provides static methods that operate on objects.
  Author:
    Karsten Lentzsch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends Serializable> T` | `deepCopy(T original)` Provides a means to copy objects that do not implement Cloneable.
    `static boolean` | `equals(Object o1, Object o2)` Checks and answers if the two objects are both `null` or equal.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### deepCopy

          public static <T extends Serializable> T deepCopy(T original)

      Provides a means to copy objects that do not implement Cloneable. Performs a deep copy where the copied object has no references to the original object for any object that implements Serializable. If the original is `null`, this method just returns `null`.
      Type Parameters:
        `T` - the type of the object to be cloned
      Parameters:
        `original` - the object to copied, may be `null`
      Returns:
        the copied object
      Since:
        1.1.1

    - #### equals

          public static boolean equals(Object o1,
                       Object o2)

      Checks and answers if the two objects are both `null` or equal.

           Objects.equals(null, null) == true
           Objects.equals("Hi", "Hi") == true
           Objects.equals("Hi", null) == false
           Objects.equals(null, "Hi") == false
           Objects.equals("Hi", "Ho") == false

      Parameters:
        `o1` - the first object to compare
        `o2` - the second object to compare
      Returns:
        boolean `true` if and only if both objects are `null` or equal according to `equals` invoked on the first object

Copyright © 2009-2014 JGoodies Software GmbH. All Rights Reserved.